function X=curve(varargin)

if ~nargin
  for c1=1:6
    curve(c1);
  end
  X=[];
  return
end

switch varargin{1}
case 1

  num=40;
  pnt=randn(3,num);  
  for c1=1:num
    [mx,mi]=max(abs(pnt(:,c1)));
    pnt(:,c1)=pnt(:,c1)/mx;
    pnt(3,c1)=mod(c1,2)*-10;
  end
  
case 2

  num=40;
  pnt=zeros(3,num);  
  for c1=1:num
    pnt(3,c1)=mod(c1,2)*-10;
  end
  pnt(1,10)=1;
  pnt(1,11)=-1;
  pnt(2,30)=1;
  pnt(2,31)=-1;
  
case 3

  num=40;
  pnt=zeros(3,num);  
  for c1=1:num
    pnt(3,c1)=mod(c1,2)*-10;
  end

case 4

  num=40;
  pnt=zeros(3,num);  
  for c1=1:num
    pnt(3,c1)=mod(c1,2)*-10;
  end
  pnt(1,:)=1;

case 5

  num=40;
  pnt=zeros(3,num);  
  for c1=1:num
    pnt(3,c1)=mod(c1,2)*-10;
  end
  pnt(2,:)=1;

case 6

  num=40;
  pnt=zeros(3,num);  
  for c1=1:num
    pnt(3,c1)=mod(c1,2)*-10;
  end
  pnt(1,:)=-1;
  pnt(2,:)=-1;

end

smp=linspace(0,120,120*30);
inc=[];
for c1=1:3
  inc=[inc;interp1(linspace(0,120,num),pnt(c1,:),smp,'cubic')];
end

if 1<nargin
  plot3(pnt(1,:),pnt(2,:),pnt(3,:),'*')
  hold on
  plot3(inc(1,:),inc(2,:),inc(3,:),'r')
  hold off
end

X=inc';

%disp(xsave(X,'double' ,['get/tensor/curve' num2str(varargin{1}) '.arr']))
