// code by jph
package speller;

import java.io.DataInputStream;
import java.io.EOFException;
import java.net.ServerSocket;
import java.net.Socket;

public class ServerController {
  
  public ServerController(final Speller mySpeller) {
    try {
      int port = 8955;
      ServerSocket myServerSocket = new ServerSocket(port);
      while (true) {
        System.out.println("accepting on " + port + " ...");
        Socket mySocket = myServerSocket.accept();
        DataInputStream myDataInputStream = new DataInputStream(mySocket.getInputStream());
        try {
          while (true) {
            int done = myDataInputStream.readInt();
            int timeout = myDataInputStream.readInt();
            double pix = myDataInputStream.readDouble();
            double piy = myDataInputStream.readDouble();
            mySpeller.mySpellerComponent.flush(done,done, timeout, pix, piy);
          }
        } catch (EOFException myEOFException) {
          System.out.println(myEOFException);
        }
      }
    } catch (Exception myException) {
      System.out.println(myException);
    }
  }
  
  public static void main(String[] args) {
    new ServerController(new Speller(1,100, 100, 1200, 900));
  }
}
