function val=prg_impview(varargin)
%code by jph

global nu user
persistent prg

val=[];

if isempty(findobj('type','figure','name',mfilename))
  if ~nargin
    sec=nuget('varargin.struct','sec',120);
    num=nuget('varargin.struct','numel');
    rnd=cumsum(nuget('varargin.struct','rand',ones(1,num-1)));
    rnd=rnd/rnd(end);
    tim=0;
    if num==3
      ret=randindex(num,ceil(sec/3));
      cnt=1;
      while tim+1<sec
        nurun(tim    ,['prg_p300image(' num2str(ret(cnt)) ')'])
        nurun(tim+0.1,['prg_p300image(' num2str(num) ')'])
        tim=tim+1+1*rand;
        cnt=cnt+1;
      end
    else
      while tim+1<sec
        fnd=find(rand<rnd); fnd=fnd(1);
        nurun(tim    ,['prg_p300image(' num2str(fnd) ')'])
        nurun(tim+0.1,['prg_p300image(' num2str(num) ')'])
        tim=tim+1.5+1.5*rand;
      end
    end
    nurun(sec,'prg_p300image(0)')

    nu.light.shading=1020;
    nu.light.legend={'target','non-target'};
    prg_light
    
    str=nuget('varargin.struct','title')
    for c1=1:num
      prg.light.events{c1}=c1~=num;
      prg.image{c1}=jifit(imread(['res/' str '_' num2str(c1) '.png']),prg.light.events{c1});
    end    
    prg.figure=figure('Name',mfilename,...
                      'Numbertitle','off',...
                      'Menubar','none',...
                      'Pointer','custom',...
                      'PointerShapeCData',zeros(16)*NaN,...
                      'DoubleBuffer','on',...
                      'Color',[0 0 0],... %'Colormap',[0 0 0;1 1 1],... 
                      'WindowButtonMotionFcn','nuevent(0,0,7)',...
                      'WindowButtonDownFcn','nuevent(0,0,8)',...
                      'KeyPressFcn','nuevent(0,0,9)',... 
                      'Position',user.view);
    prg.axes=subplot('Position',[0 0 1 1]);
    prg.imshow=imshow(prg.image{3});
  else
    nu.run=0;
  end
else
  val=varargin{1};
  switch val
  case 0
    close(prg.figure)
  otherwise  
    set(prg.imshow,'CData',prg.image{val})
    if prg.light.events{val}
      nu.light.events=vertcat(nu.light.events,[nu.case val]);
    end
  end
end

function ret=jifit(img,mrk)

  szs=[1024 1680 3];
  szi=size(img);
  ret=uint8(zeros(szs));
  
  in1=floor((szs(1)-szi(1))/2)+[1:szi(1)];
  in2=floor((szs(2)-szi(2))/2)+[1:szi(2)];  
  ret(in1,in2,:)=img;  
  if mrk
    len=42;
    ret(end-len+1:end,1:len,:)=255;
  end

  
function ret=randindex(num,mul)
  ret=ones(1,num*mul);
  for c1=1:mul
    ret((c1-1)*num+ceil(rand*num))=2;
  end
