function val=prg_slides(varargin)
%code by jph

global nu
persistent prg

val=[];

if isempty(findobj('type','figure','name',mfilename))
  if ~nargin
    sec=nuget('varargin.struct','sec',120);
    num=nuget('varargin.struct','numel');
    dur=sec/(num-1);
    for c1=1:num-1
      nurun((c1-1)*dur+2,['prg_slides(' num2str(c1) ')'])
      nurun( c1   *dur  ,['prg_slides(' num2str(num) ')'])
    end
    nurun(sec,'prg_slides(0)')
    
    str=nuget('varargin.struct','title')
    for c1=1:num
      prg.image{c1}=jifit(imread(['res/' str '_' num2str(c1) '.png']),c1~=num);
    end
    prg.figure=figure('Name',mfilename,...
                      'Numbertitle','off',...
                      'Menubar','none',...
                      'Pointer','custom',...
                      'PointerShapeCData',zeros(16)*NaN,...
                      'DoubleBuffer','on',...
                      'Color',[0 0 0],...
                      'Colormap',[0 0 0;1 1 1],... % TODO see if makes difference !?                   
                      'Position',[1 1 size(prg.image{1},2) size(prg.image{1},1)]); % [1 31 2560 968]
    prg.axes=subplot('Position',[0 0 1 1]);
    imshow(prg.image{num})
  else
    nu.run=0;
  end
else
  val=varargin{1};
  switch val
  case 0
    close(prg.figure)
  otherwise  
    imshow(prg.image{val})
  end
end

function ret=jifit(img,mrk)

  szs=[1024 1680 3];
  szi=size(img);
  ret=uint8(zeros(szs));
  
  in1=floor((szs(1)-szi(1))/2)+[1:szi(1)];
  in2=floor((szs(2)-szi(2))/2)+[1:szi(2)];
  
  size(img)
  ret(in1,in2,:)=img;
  
  if mrk
    len=42;
    ret(end-len+1:end,1:len,:)=255;
  end
  