function undo(swt,varargin)

global nu user

nuget('assert',isa(swt,'char'))

switch swt

case 'filter_disp'

  nuget('load','20110119T091707_jh_prg_spell')
  
  %evl=nuget('events.evaluated',{'prg_spell(''loop'')'},'return',1);
  %evt=nuget('events.evaluated',{'prg_spell(''loop'')'},'toc_eval',1);
  
  res={};
  for c1=1:numel(nu.events)
    if strcmp(nu.events{c1}.eval,'prg_spell(''loop'')')
      if isfield(nu.events{c1},'return')
        if numel(nu.events{c1}.return)==1
          res=vertcat(res,[nu.events{c1}.now nu.events{c1}.return]);
        end
      end
    end    
  end
  res=cell2mat(res);
  fnd=find(diff(res(:,2)));
  evt=[0;res(fnd,1)];
  %return
  
  
  
  prg.off=[0 0];
  
  cr1={};
  raw={};
  ofs={};
  
  for c1=1:min(nu.numel,1000)
  
    X=[nu.cell{c1} ones(200,1)];
    sol=(median( X(end-60:end,user.eye.corrcoef{end}(:,1))*user.eye.corrcoef{end}(:,2:3) )+1 )/2;
    raw=vertcat(raw,sol);
    
    val=sol+prg.off;
    for c1=1:2
      if val(c1)<0
        prg.off(c1)=-sol(c1);
      end
      if 1<val(c1)
        prg.off(c1)=1-sol(c1);
      end
    end
    in3=min(max(0,val(1)),1);
    %in4=1-min(max(0,val(2)),1);
    in4=min(max(0,val(2)),1);
    
    cr1=vertcat(cr1,[in3 in4]);
    ofs=vertcat(ofs,prg.off);
  end
  tim=[0:size(cr1,1)-1]'/5;
  cr1=cell2mat(cr1);
  raw=cell2mat(raw);
  ofs=cell2mat(ofs);
  
  X=[cell2mat(nu.cell) ones(nu.numel*200,1)];
  
  %'Fst1,Fp1,Fp2,Fst2,Ast1,Ap,Ast2'
  
  
  n=4;
  sol=( ( X(:,user.eye.corrcoef{end}(:,1))*user.eye.corrcoef{end}(:,2:3) )+1 )/2;
  fil=[decimate(sol(:,1),n) decimate(sol(:,2),n)]-0.5;

  disp('here')
  if 0
    ct=0.33;
    d = fdesign.highpass(ct*0.4,ct,20,1,1000/n);
    Hd=design(d);
    
    d=fdesign.lowpass(40,48,1,40,250);
    Ld=design(d); 
    fil=filter(Hd, fil);  
    fil=filter(Ld, fil);  
  end
  fil=fil+0.5;
  
  fil=[decimate(fil(:,1),100/n) decimate(fil(:,2),100/n)];
  tif=[0:size(fil,1)-1]'/10;
  
  ylb={'left-right glance','up-down glance'};  
  ylb={'x','y'};
  clf reset
  set(1,'Position',[100 100 1500 400])
  set(1,'Color',[1 1 1])

  raw=raw*2-1;
  %switch 1
  %case 1    
    col=repmat(0.8,[1 3]);
    for c1=1
      hnd=subplot(2,1,c1);
      for c2=1:numel(tim)-1
        rectangle('Position',[tim(c2) -ofs(c2,c1)*2-1 tim(2) 2],...
          'FaceColor',col,...
          'EdgeColor',col,...    
          'EraseMode','background');
        hold on
      end
      
      cn=1;
      plot(tim,raw(:,c1),'b')
      %plot(tif(1:end-cn+1),fil(cn:end,c1),'k:');
      if c1==2
        xlabel('time [sec]')
      end
      %ylabel(ylb{c1})
      axis tight
      %set(hnd,'YTick',[])    
      legend('x ')
    end
  %  export_fig(['out/filtercmp.bmp']) % ,'-nocrop'
  %case 2
  %  set(1,'Position',[100 100 1500 300])
    col={repmat(0.8,[1 3]),repmat(0.9,[1 3])};
    for c1=1:1
      hnd=subplot(2,1,c1+1);
      str='i spell with my glac<nce nxxxx';
      for c2=1:numel(evt)-2
        rectangle('Position',[evt(c2) -1 evt(c2+1)-evt(c2) 2],...
          'FaceColor',col{mod(c2,2)+1},...
          'EdgeColor',col{mod(c2,2)+1},...    
          'EraseMode','background');
        hold on
        if c1==1
          pox=evt(c2)+(evt(c2+1)-evt(c2))*0.5;
          txt=text(pox,1.01,str(c2));
          set(txt,'HorizontalAlignment','center')
          set(txt,'VerticalAlignment','bottom')        
        end
      end    
      plot(tim,cr1(:,c1)*2-1);    
      if c1==1
        xlabel('time [sec]')
      end
      %ylabel(ylb{c1})
      axis tight
      %set(hnd,'YTick',[])
      if c1==1
        %set(hnd,'XTick',[])
      end
      legend('x ')
    end
  %end
  export_fig(['out/windowed.bmp']) % ,'-nocrop'
  
case 'user.simulink.eye'

  nuget('load','20110119T091707_jh_prg_spell')
  user.simulink.channel
  user.simulink.eye.x
  user.simulink.eye.y
  
  mx=max(abs(user.simulink.eye.x));
  my=max(abs(user.simulink.eye.y));
  ma=max(mx,my);
  
  px=user.simulink.eye.x/ma*0.8;
  py=user.simulink.eye.y/ma*0.7;
  
  
  nuscalp3(px,user.simulink.channel)
  colorbar
  
case 'eye3d.explore'

  nuget('load','20110222T175933_jh_prg_emptywin')
  X=cell2mat(nu.cell)*1e3;
  plot(X(5257:end,37))
  
  %nuget('load','20110222T180156_jh_prg_emptywin')
  %X=cell2mat(nu.cell)*1e3;
  %plot(X(135494:end,37))
  
case 'eye3d.call'
  
% first recording
  %undo('eye3d.save','20110222T175133_jh_prg_emptywin',3,19596)
  %undo('eye3d.save','20110222T175133_jh_prg_emptywin',3,152533)
  %undo('eye3d.save','20110222T175133_jh_prg_emptywin',3,278051)
  
% second
  %undo('eye3d.save','20110222T175933_jh_prg_emptywin',4,5257)
  %undo('eye3d.2d')
  
% third recording
  %undo('eye3d.save','20110222T180156_jh_prg_emptywin',3,11826)
  undo('eye3d.save','20110222T180156_jh_prg_emptywin',3,135494)
  undo('eye3d.2d')

  
case 'eye3d.save'
  [b,a]=butter(2,0.03,'low');
  
  nuget('load',varargin{1})
  X=cell2mat(nu.cell)*1e3;
  X(:,35)=X(:,11);
  X(:,36)=X(:,12);
  X=nuget('ground',X,[1:40]==22);
  smp=1:120*1000;
  
  crv=curve(varargin{2})';
  crv=[
     crv(1,:)
    -crv(3,:)/3+1
     crv(2,:)
  ];
  
  
  X=X(varargin{3}+smp,:);
  
  cel={};
  chn=setdiff(1:40,[11 12 37 38]);
  for c1=chn
    vec=X(:,c1);
    vec=filtfilt(b,a,vec);
    vec=nuget('remove.polynom',vec,6);        % 6 for video gen
    vec=decimate(vec,40);
    cel=horzcat(cel,vec);
    fprintf('.');
  end
  fprintf('\n');
  X=cell2mat(cel);  
  crv=[
    interp1(linspace(1,size(X,1),size(crv,2)),crv(1,:),1:size(X,1))
    interp1(linspace(1,size(X,1),size(crv,2)),crv(2,:),1:size(X,1))
    interp1(linspace(1,size(X,1),size(crv,2)),crv(3,:),1:size(X,1))
  ];
  
  save 'tmp' X chn crv
  
case 'eye3d.3d'

  load 'tmp'
  clf reset
  hnd=nuscalp3(X(1,:),chn)
  hold on
  pnt=plot3(0,0,0,'.')
  ey1=[ 0.2852 0.6884 0.025];
  ey2=[-0.2852 0.6884 0.025];
  ln1=plot3(0,0,0,'r')
  ln2=plot3(0,0,0,'r')
  set(pnt,'MarkerSize',10)    
  for c1=1:size(X,1)
    nuscalp3(X(c1,:),chn,hnd)
    set(pnt,'XData', crv(1,c1))
    set(pnt,'YData', crv(2,c1))
    set(pnt,'ZData', crv(3,c1))
    set(ln1,'XData',[ey1(1) crv(1,c1)])
    set(ln1,'YData',[ey1(2) crv(2,c1)])
    set(ln1,'ZData',[ey1(3) crv(3,c1)])
    set(ln2,'XData',[ey2(1) crv(1,c1)])
    set(ln2,'YData',[ey2(2) crv(2,c1)])
    set(ln2,'ZData',[ey2(3) crv(3,c1)])
    axis([-2 2 -2 5 -2 2])
    pause(eps)
  end
    
case 'eye3d.2d'
  load 'tmp'
  sig=crv(2,:);
  sig=sig-mean(sig);
  sig=sig/norm(sig);
  
  cel{1}=sig;
  for c1=2:5
    tmp=cel{c1-1}.*sig;
    cel{c1}=tmp/norm(tmp);
  end
  
  X=X.*repmat(1./sqrt(sum(X.*X)+eps),[size(X,1) 1]);
  
  num=1;
  for c1=1:num
    subplot(1,2,1);
    nuscalp3(cel{c1}*X,chn)
    colorbar
    subplot(1,2,2);
    nuscalp3(cel{c1}*X,chn)
    
    %subplot(1,num,c1);
    %nuscalp3(cel{c1}*X,chn)
    %title(num2str(c1))
    %zoom(2.2)
    view(-180,28)
    colorbar
  end
  
  
  
  
case 'testscalp3'

  nuscalp3([0.3 0.9],[1 35])
  
otherwise
  error('please specify')
end

for c1=findobj('type','figure')';
  set(c1,'Color',[1 1 1])
end




